package com.example.minermonsters;

import java.util.ArrayList;
import android.os.Bundle;
import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Intent;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.PopupMenu;
import android.widget.Toast;
import android.widget.PopupMenu.OnMenuItemClickListener;


public class MainMenuActivity extends Activity {
	private ArrayList<Monster> theMonsters = new ArrayList<Monster>();
	private ProgressDialog progressDialog;
	private static final String DEBUG_TAG = "MySimpleAppLogging";

	public static int choice;



	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main_menu);

	


		Button b1 = (Button) findViewById(R.id.scanButton);
		Button b3 = (Button) findViewById(R.id.singleButton);
		Button b4 = (Button) findViewById(R.id.manageButton);
		Button b5 = (Button) findViewById(R.id.exitButton);

		//scan
		b1.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				Intent i = new Intent(getBaseContext(), ScanActivity.class);
				startActivity(i);
			}
		});


		//singleplayer
		b3.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {

				choice = 0;

				final PopupMenu popup = new PopupMenu(getBaseContext(), v);

				popup.getMenuInflater().inflate(R.menu.popup, popup.getMenu());

				/** Defining menu item click listener for the popup menu */
				popup.setOnMenuItemClickListener(new OnMenuItemClickListener() {
					
					Intent i = new Intent(getBaseContext(), SinglePlayerActivity.class);

					@Override
					public boolean onMenuItemClick(MenuItem item) {
						Toast.makeText(getBaseContext(), "You selected: " + item.getTitle(), Toast.LENGTH_SHORT).show();
						if(item.getItemId() == R.id.monster1pop)
						{
							choice = 1;
							i.putExtra("monsterChoice", choice);
							startActivity(i);
							popup.dismiss();
						}
						else
						{
							choice = 2;
							i.putExtra("monsterChoice", choice);
							startActivity(i);
							popup.dismiss();
						}
						return true;
					}
				});

				/** Showing the popup menu */
				popup.show();

			}
		});

		b4.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {

					Intent manageMonsters = new Intent(getBaseContext(), ManageMonsters.class);

					startActivity(manageMonsters);

			}
		});
		b5.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				android.os.Process.killProcess(android.os.Process.myPid());
			}
		});     
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.activity_main_menu, menu);
		return true;
	}


}
